package cn.superdesk.uniorder.dubbo.provider._dashboard;

import cn.superdesk.uniorder.dto.vo._dashboard.*;
import cn.superdesk.uniorder.service._dashboard.BackendDashboardService;
import cn.superdesk.uniorder.dubbo.facade._dashboard.DubboBackendDashboardService;
import com.alibaba.dubbo.config.annotation.Service;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;
import java.util.Map;

@Service(version = "1.0.0", retries = -1, timeout = 10000)
public class DubboBackendDashboardServiceImpl implements DubboBackendDashboardService {

	@Autowired
	private BackendDashboardService backendDashboardService;


	@Override
	public List<UnifiedDashboardHeadDataVo> getDashboardHeadData(Map<String, Object> params) {
		return backendDashboardService.getDashboardHeadData(params);
	}

	@Override
	public List<UnifiedDashboardProjectPurchaseVo> getDashboardProjectPurchase(Map<String, Object> params) {
		return backendDashboardService.getDashboardProjectPurchase(params);
	}

	@Override
	public List<UnifiedDashboardYearPurchaseVo> getDashboardYearPurchase(Map<String, Object> params) {
		return backendDashboardService.getDashboardYearPurchase(params);
	}

	@Override
	public List<UnifiedDashboardProjectPurchaseCompareVo> getDashboardProjectPurchaseCompare(Map<String, Object> params) {
		return backendDashboardService.getDashboardProjectPurchaseCompare(params);
	}

	@Override
	public List<UnifiedDashboardPurchaseCateCompareVo> getDashboardPurchaseCateCompare(Map<String, Object> params) {
		return backendDashboardService.getDashboardPurchaseCateCompare(params);
	}

	@Override
	public List<UnifiedDashboardGoodsPurchaseRankingVo> getDashboardGoodsPurchaseRanking(Map<String, Object> params) {
		return backendDashboardService.getDashboardGoodsPurchaseRanking(params);
	}
}
